This page was not yet optimized for use on mobile devices.
MOVEit Crypto
Certificate details
| Certificate ID | #1363 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 12.07.2010 , 26.04.2016 , 27.04.2016 , 24.01.2018 , 30.01.2022 , 08.03.2022 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Description | MOVEit Crypto is a compact and fast dynamically-linked library for Windows and Linux. It provides AES encryption, SHA-1 and SHA-2 hashing, and pseudo-random number generation. Both 32-bit and 64-bit versions are available for each operating system. MOVEit Crypto is a member of the MOVEit security and file transfer product family. |
| Tested configurations |
|
| Vendor | Progress Software, Inc. http://www.ipswitch.com |
| Lab | SAIC-VA, Leidos Accredited Testing & Evaluation (AT&E) Lab |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, HMAC, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512Hash functions
SHA-1, SHA-256, SHA-384, SHA-512, MD5Randomness
RNGBlock cipher modes
ECB, CBCVendor
MicrosoftSecurity level
level 1Standards
FIPS 140-2, FIPS PUB 197, FIPS PUB 180-4, FIPS PUB 198-1, FIPS PUB 186-2, FIPS 186-2, RFC 1321, RFC 2104, RFC 2202, RFC 2040Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 1363,
"dgst": "52558cb584c322ce",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#5081",
"SHS#A2127",
"HMAC#3389",
"AES#A2127",
"AES#1226",
"HMAC#716",
"SHS#4135",
"HMAC#A2127",
"SHS#1126"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 44,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 5
},
"ECB": {
"ECB": 5
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"HMAC-SHA-1": 10,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2,
"HMACSHA-1": 1,
"SHA-1": 3,
"SHA-256": 4,
"SHA-384": 4,
"SHA-512": 4
}
},
"fips_security_level": {
"Level": {
"level 1": 1
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 3
}
},
"SHA": {
"SHA1": {
"SHA-1": 3
},
"SHA2": {
"SHA-256": 4,
"SHA-384": 4,
"SHA-512": 4
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"RNG": {
"RNG": 9
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 10,
"FIPS 186-2": 1,
"FIPS PUB 180-4": 1,
"FIPS PUB 186-2": 2,
"FIPS PUB 197": 1,
"FIPS PUB 198-1": 2
},
"RFC": {
"RFC 1321": 1,
"RFC 2040": 2,
"RFC 2104": 1,
"RFC 2202": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 9
}
},
"constructions": {
"MAC": {
"HMAC": 9,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Microsoft": {
"Microsoft": 1
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#5081",
"SHS#A2127",
"HMAC#3389",
"AES#A2127",
"AES#1226",
"HMAC#716",
"SHS#4135",
"HMAC#A2127",
"SHS#1126"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": []
},
"policy_metadata": {
"/Author": "huntzh",
"/CreationDate": "D:20220215094310-05\u002700\u0027",
"/ModDate": "D:20220215094310-05\u002700\u0027",
"/Producer": "Microsoft: Print To PDF",
"/Title": "Microsoft Word - MOVEitCryptoSecurityPolicy2021.docx",
"pdf_file_size_bytes": 1308895,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 26
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "28cccaf32a776a8e5954309017cd5126a20828c324a654b44ab8afb3568a79a6",
"source_hash": "fc9a610f0295e76d8e82a764df5e3bb0376f3027104294612c5e006ca3cbce43",
"txt_hash": "c491339dddf7befc48d832ebb4cbdff1bb2c35781fde6dc496afb17b629161f8"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/140crt1363.pdf",
"date_sunset": null,
"description": "MOVEit Crypto is a compact and fast dynamically-linked library for Windows and Linux. It provides AES encryption, SHA-1 and SHA-2 hashing, and pseudo-random number generation. Both 32-bit and 64-bit versions are available for each operating system. MOVEit Crypto is a member of the MOVEit security and file transfer product family.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": null,
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "MOVEit Crypto",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "1.2.0.0 [1] and 1.3.0.0 [2]",
"tested_conf": [
"Red Hat Enterprise Linux 5 (x64) running on an HP Compaq dc7700p Ultra-slim Desktop with an Intel Core 2 Duo E6300 [1]",
"Red Hat Enterprise Linux 5 (x86) running on a Dell OptiPlex GX270 with an Intel Pentium 4 [1]",
"Windows Server 2008 (x64) running on an HP Compaq dc7700p Ultra-slim Desktop with an Intel Core 2 Duo E6300 [1]",
"Windows Server 2008 (x86) running on a Dell OptiPlex GX270 with an Intel Pentium 4 [1]",
"Windows Server 2016 (x64) running on a Dell XPS 8700 with an Intel Core i7-4790 [2]",
"Windows Server 2019 on VMware ESXi 6.7 Update 2 running on a Dell PowerEdge R630 with an Intel Xeon E5-2660 v3 [2] (single user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2010-07-12",
"lab": "SAIC-VA",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2016-04-26",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2016-04-27",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-01-24",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-01-30",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-03-08",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Update"
}
],
"vendor": "Progress Software, Inc.",
"vendor_url": "http://www.ipswitch.com"
}
}